#ifndef SELECTION
#define SELECTION

#include "Genetic.h"

/**
* class that implements the turnament selection
*/
class Selection
{
public:
	/**
	* the number of chromosomes we want to select
	*/
	int count;
public:
	/**
	* the constructor
	*	
	* @param c the number of chromosomes we want to select 
	*/
	Selection(int c = 0);

	/**
	* method that realizes the turnament selection
	*	
	* @param chs the initial list of chromosomes
	* @param nou the final list of chromosomes (contains the selected chromosomes)
	*/
	void turnamentSelection(vector<Chromosome> chs, vector<Chromosome> & nou);
};

#endif
