#include "Graf.h"

/**
* the constructor
*
* @param p the predecessor node
* @param s the successor node
* @param c the edge's communication cost
*/
Muchie::Muchie(Nod * p, Nod * s, double c)
{
	predecesor = p;
	succesor = s;
	cost = c;
}

/**
* Method printing the edge's information
*/
void Muchie::print()
{
	printf("[Muchie %i->%i cost = %lf]\n", predecesor->id, succesor->id, cost);
}
